## org.eclipse.amp.escape.amf.ide
Class EscapeAMFProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.amf.gen.ide.PluginProjectWizard
              org.eclipse.amp.amf.gen.ide.PluginTemplateProjectWizard
                  org.eclipse.amp.escape.amf.ide.EscapeAMFProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class EscapeAMFProjectWizard

extends PluginTemplateProjectWizard

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`EscapeAMFProjectWizard()`

Method Summary
`void` `addBuilders(java.util.List<java.lang.String> builderIDs)`
`java.lang.String[]` `getNatures()`
`java.lang.String` `getPluginID()`
`java.lang.String` `getProjectTypeName()`
`java.lang.String` `getSourceDirName()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.PluginTemplateProjectWizard
`copyFiles, createFiles, streamFromPlugin`

Methods inherited from class org.eclipse.amp.amf.gen.ide.PluginProjectWizard
`addClasspaths, addPages, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### EscapeAMFProjectWizard

    public EscapeAMFProjectWizard()

Method Detail

### getProjectTypeName

    public java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `PluginProjectWizard`

### getNatures

    public java.lang.String[] getNatures()

  Overrides:
    `getNatures` in class `PluginProjectWizard`

### getPluginID

    public java.lang.String getPluginID()

  Overrides:
    `getPluginID` in class `PluginProjectWizard`

### addBuilders

    public void addBuilders(java.util.List<java.lang.String> builderIDs)

  Overrides:
    `addBuilders` in class `PluginProjectWizard`

### getSourceDirName

    public java.lang.String getSourceDirName()

  Overrides:
    `getSourceDirName` in class `PluginProjectWizard`